- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_phase_resolver.h File Reference

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_qname.h>`
`#include <axutil_array_list.h>`
`#include <axutil_hash.h>`
`#include <axis2_handler_desc.h>`
`#include <axis2_phase.h>`
`#include <axis2_phase_rule.h>`
`#include <axis2_handler.h>`
`#include <axis2_flow.h>`
`#include <axis2_module_desc.h>`
`#include <axis2_phase_holder.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_phase_resolver | axis2_phase_resolver_t
## Functions
AXIS2_EXTERN void | axis2_phase_resolver_free (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_engage_module_globally (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_module_desc *module)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_engage_module_to_svc (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_svc *svc, struct axis2_module_desc *module_desc)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_engage_module_to_op (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_op *axis_op, struct axis2_module_desc *module_desc)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_build_execution_chains_for_svc (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_build_execution_chains_for_module_op (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_op *op)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_disengage_module_from_svc (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_svc *svc, struct axis2_module_desc *module_desc)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_disengage_module_from_op (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env, struct axis2_op *axis_op, struct axis2_module_desc *module_desc)
AXIS2_EXTERN axis2_status_t | axis2_phase_resolver_build_transport_chains (axis2_phase_resolver_t *phase_resolver, const axutil_env_t *env)
AXIS2_EXTERN axis2_phase_resolver_t * | axis2_phase_resolver_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_phase_resolver_t * | axis2_phase_resolver_create_with_config (const axutil_env_t *env, struct axis2_conf *axis2_config)
AXIS2_EXTERN axis2_phase_resolver_t * | axis2_phase_resolver_create_with_config_and_svc (const axutil_env_t *env, struct axis2_conf *axis2_config, struct axis2_svc *svc)

## Detailed Description